#!/usr/bin/env python

import codecs, vCalendar

f = codecs.open("tests/test.ics", encoding="utf-8")
out = codecs.open("tmp.ics", "w", encoding="utf-8")
try:
    doc = vCalendar.iterparse(f)
    w = vCalendar.iterwrite(out)
    for name, parameters, value in doc:
        print "%r, %r, %r" % (name, parameters, value)
        w.write_content_line(name, parameters, value)
finally:
    out.close()
    f.close()

# vim: tabstop=4 expandtab shiftwidth=4
